<?php /* Theme Customizer For Mansar Theme */
   
   function register ( $wp_customize ) {
      
	// Theme Colors
 
	$colors = array();
    $colors[] = array( 'slug'=>'bg_color', 'default' => '',
    'label' => __( 'Background Color', 'mansar' ) );
    $colors[] = array( 'slug'=>'primary_color', 'default' => '',
    'label' => __( 'Primary Color ', 'mansar' ) );
    $colors[] = array( 'slug'=>'secondary_color', 'default' => '',
    'label' => __( 'Secondary Color', 'mansar' ) );
    $colors[] = array( 'slug'=>'tertiary_color', 'default' => '',
    'label' => __( 'Tertiary Color', 'mansar' ) );
    $colors[] = array( 'slug'=>'quaternary_color', 'default' => '',
    'label' => __( 'Quaternary Color', 'mansar' ) );
	
	foreach($colors as $color)
  {	
    $wp_customize->add_setting( $color['slug'], array( 'default' => $color['default'],
    'type' => 'theme_mod', 'capability' => 'edit_theme_options' ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
     $color['slug'], array( 'label' => $color['label'], 'section' => 'colors',
     'settings' => $color['slug'] )));
  }
	// Theme Colors Ends
	// Logo Uploader
	
	$wp_customize->add_section( 'mansar_logo_fav_section' , array(
    'title'       => __( 'Site Logo & Favicon', 'mansar' ),
    'priority'    => 30,
    'description' => 'Upload a logo to replace the default site name and description in the header',) );

    $wp_customize->add_setting( 'mansar_logo' );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'mansar_logo', array(
    'label'    => __( 'Site Logo ( Max height - 60px)', 'mansar' ),
    'section'  => 'mansar_logo_fav_section',
    'settings' => 'mansar_logo',
    ) ) );
	
	$wp_customize->add_setting( 'mansar_favicon' );
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'mansar_favicon', array(
    'label'    => __( 'Site Favicon ( 16px X 16px)', 'mansar' ),
    'section'  => 'mansar_logo_fav_section',
    'settings' => 'mansar_favicon',
    ) ) );
	  
	// Logo  Uploader Ends
	
 	// Sidebar Position
	
		$wp_customize->add_section( 'sidebar_position', array(
        'title' => 'Sidebbar Position', // The title of section
        'description' => 'Select Your Sidebar Position.', // The description of section
        'priority' => '900',
	) );
	
$wp_customize->add_setting( 'sidebar_position_option', array(
    'default' => 'sidebar_display_right',
    'type' => 'theme_mod',
) );

	$wp_customize->add_control( 'sidebar_position_option', array(
    'label' => 'Display Sidebar on Left or Right',
    'section' => 'sidebar_position',
    'type' => 'radio',
    'choices' => array(
        'sidebar_display_right' => 'Right (Default)',
    	'sidebar_display_left' => 'Left',
        ),
) );
	  
	// Sidebar Position Ends
    // Social Links
	
	$wp_customize->add_section( 'sociallinks', array(
        'title' => 'Social Links', // The title of section
        'description' => 'Add Your Copyright Notes Here.', // The description of section
        'priority' => '900',
	) );
	
	$wp_customize->add_setting( 'facebooklink', array('default' => '#',) );
    $wp_customize->add_control( 'facebooklink', array('label' => 'Facebook URL', 'section' => 'sociallinks', ) );
	$wp_customize->add_setting( 'twitterlink', array('default' => '#',) );
    $wp_customize->add_control( 'twitterlink', array('label' => 'Twitter Handle', 'section' => 'sociallinks', ) );
    $wp_customize->add_setting( 'googlelink', array('default' => '#', ) );
    $wp_customize->add_control( 'googlelink', array('label' => 'Google Plus URL','section' => 'sociallinks',) );
	$wp_customize->add_setting( 'pinterestlink', array('default' => '#',) );
    $wp_customize->add_control( 'pinterestlink', array('label' => 'Pinterest URL','section' => 'sociallinks',) );
	$wp_customize->add_setting( 'youtubelink', array('default' => '#',) );
    $wp_customize->add_control( 'youtubelink', array('label' => 'Youtube URL','section' => 'sociallinks',) );
	$wp_customize->add_setting( 'stumblelink', array('default' => '#',) );
    $wp_customize->add_control( 'stumblelink', array('label' => 'Stumbleupon Link','section' => 'sociallinks', ) );
	$wp_customize->add_setting( 'rsslink', array('default' => '#',) );
    $wp_customize->add_control( 'rsslink', array('label' => 'RSS Feeds URL','section' => 'sociallinks',) );

	// Social Links Ends
 	// Footer Copyright Section
	
	$wp_customize->add_section( 'fcopyright', array(
        'title' => 'Footer Copyright', // The title of section
        'description' => 'Add Your Copyright Notes Here.', // The description of section
        'priority' => '900',
	) );
 
	$wp_customize->add_setting( 'mansar_footer_top', array('default' => 'Mansar is a Free WordPress Theme designed for Blogs and Magazines. One of the most fastest theme ever built.',) );
    $wp_customize->add_control( 'mansar_footer_top', array('label' => 'Footer Text','section' => 'fcopyright',) );
	$wp_customize->add_setting( 'mansar_footer_cr_left', array('default' => 'Mansar (c) Copyright 2014.',) );
	$wp_customize->add_control( 'mansar_footer_cr_left', array('label' => 'Copyright Note Left','section' => 'fcopyright',) );
  
	
	
	// Custom Scripts
	
	class Example_Customize_Textarea_Control extends WP_Customize_Control {
    public $type = 'textarea';
 
    public function render_content() {
        ?>
        <label>
        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
        <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
        </label>
        <?php
       }
    }
	
    $wp_customize->add_section( 'custom_scripts', array(
        'title' => 'Custom Scripts', // The title of section
        'description' => 'Add Your Custom Scripts Here.', // The description of section
		'priority' => '900',
    ) );

	$wp_customize->add_setting( 'textarea_setting', array(
    'default'        => '',) );
 
    $wp_customize->add_control( new Example_Customize_Textarea_Control( $wp_customize, 'textarea_setting', array(
    'label'   => 'Header Scripts',
    'section' => 'custom_scripts',
    'settings'   => 'textarea_setting',
     ) ) );
	 
	 $wp_customize->add_setting( 'textarea_setting2', array(
    'default'        => '',) );
 
    $wp_customize->add_control( new Example_Customize_Textarea_Control( $wp_customize, 'textarea_setting2', array(
    'label'   => 'Footer Scripts',
    'section' => 'custom_scripts',
    'settings'   => 'textarea_setting2',
     ) ) );
 
    // The latter code snippets go here.

	// Custom Scripts End
	
	}
    
	// Footer Copyright Section Ends
	
    // This will output the custom WordPress settings to the live theme's WP head. */
   
   function header_output() {
     $sidebar_pos = get_theme_mod('sidebar_position_option');
     $bgcolor = get_theme_mod('bg_color');
	 $primarycolor = get_theme_mod('primary_color');
	 $secondarycolor = get_theme_mod('secondary_color');
	 $tertiarycolor = get_theme_mod('tertiary_color');
	 $quaternarycolor = get_theme_mod('quaternary_color');
	 
	 
	 ?><?php echo get_theme_mod('textarea_setting'); 
      if ( ($sidebar_pos == 'sidebar_display_left') || ( ! empty( $bgcolor )) || (!empty($primarycolor)) || (!empty($secondarycolor)) || (!empty($tertiarycolor)) || (!empty($quaternarycolor))){
?>	  <!--Customizer CSS--> 
      
	  <style type="text/css">
	        <?php if ($sidebar_pos == 'sidebar_display_left') { ?>
     	    #content{float:right;}
			.post-container, .page-container, .cat-container, .home-container { margin-left: 440px; margin-right:0px;}
			 #sidebar{margin-right: -420px; margin-left:0px; float: left;}
	    	<?php } ?>

		    <?php if($bgcolor) { ?>
		      body{background-color: <?php echo $bgcolor; ?>}
		   	<?php } ?>
            <?php if($primarycolor) { ?>

             #bottom-footer, #top-header, .top-nav ul, #gototop, .search-block #s, .search-block .search-button,  .pagenavi span.current,
		  .pagenavi span.extend, #respond .form-submit input, .button, .next-image a, .previous-image a, #wp-calendar tbody td,
		  .widget_categories ul li, .widget_text h4, .widget_recent_entries h4, .mansar-category-posts h4,
		  #main-nav #main-menu ul, #main-nav #main-menu ul li,
		  
		  footer .widget_nav_menu #menu-top-menu li, footer .widget_archive ul li, footer .widget_categories ul li, 
		  footer .widget_meta ul li, footer .widget_pages ul li, footer .widget_nav_menu ul li, footer .widget_recent_comments li 
		  
			 {background-color: <?php echo $primarycolor; ?>;}
			
			  h1, h2, h3, h4, h5, h6, .related-article h5 a:hover, .pagenavi a,
			  h1 a, .h1 a, h2 a, .h2 a, h3 a, .h3 a, h4 a, .h4 a, h5 a, .h5 a, h6 a, .h6 a, a:hover, a:visited:hover, a:focus, a:visited:focus,
			  .widget_tag_cloud a {color: <?php echo $primarycolor; ?>;}
			  #main-nav #main-menu li{ border-right: 1px solid <?php echo $primarycolor; ?>;}
			  .widget_archive select, .widget_categories select{border:2px solid <?php echo $primarycolor; ?>;}
		   	<?php } ?>
			<?php if($secondarycolor) { ?>
		      #main-nav  #main-menu li,  .widget_nav_menu #menu-top-menu li, .widget_nav_menu ul li, .search-block #s:focus, 
			  .not-found-block #s:focus, .button:hover, .next-image a:hover, .previous-image a:hover, #respond .form-submit input:hover,
			  
			  
			  .widget_nav_menu #menu-top-menu li, .widget_archive ul li, .widget_categories ul li, .widget_meta ul li, .widget_nav_menu ul li,
			  .widget_pages ul li
			  
			   {background-color: <?php echo $secondarycolor; ?>;}
			  .search-block #s, .post-meta, #crumbs, .top-nav li a, #main-footer a, footer h4
			  {color:<?php echo $secondarycolor; ?>;}
			  .article-footer .tags a, .widget_tag_cloud a{border: 1px solid <?php echo $secondarycolor; ?>;}
			  #main-nav #main-menu ul li, #top-nav ul li{border-bottom: 1px solid <?php echo $secondarycolor; ?>; }
			  <?php } ?>

			<?php if($tertiarycolor) { ?>
		      .catbox a, .hcat a:visited, #main-nav  #main-menu li:hover, #main-nav #main-menu li.current-menu-item, 
			  .widget_nav_menu #menu-top-menu li:hover, .widget_archive ul li:hover, .widget_categories ul li:hover, .widget_meta ul li:hover, .widget_pages ul li a:hover, .widget_nav_menu ul li:hover {background-color: <?php echo $tertiarycolor; ?>;}
			  a, .cdetail h3 a:hover, .cdetail h2 a:hover, .mansar-category-posts li p, .widget_recent_entries li a{color:<?php echo $tertiarycolor; ?>;} 
			  .related-article h5 a, .widget_recent_comments li a{color:<?php echo $tertiarycolor; ?>;}
			  #main-footer{border-bottom: 3px solid <?php echo $tertiarycolor; ?>;}
			<?php } ?>
			<?php if($quaternarycolor) { ?>
			#main-nav, #main-footer{background-color: <?php echo $quaternarycolor; ?>;}
			#searchform{border: 1px solid <?php echo $quaternarycolor; ?>;}
			<?php } ?>

			@media only screen and (max-width: 985px) and (min-width: 768px){
			#main-nav #main-menu ul li{background-color:#C58488;}
			#main-nav #main-menu li:hover{background-color:#C58488;}
			<?php if($secondarycolor) { ?>
			#top-header ul, #main-menu, #main-nav #main-menu ul li, #main-nav #main-menu li:hover{background-color: <?php echo $secondarycolor; ?>;}
			<?php } ?>
			<?php if($tertiarycolor) { ?>
			#main-nav  #main-menu li a:hover, #main-nav  #main-menu li ul li a:hover{ background-color: <?php echo $tertiarycolor; ?> !important;}
			#main-menu{border-bottom-color: <?php echo $tertiarycolor; ?>;}
			<?php } ?>
			}
			
			@media only screen and (max-width: 767px) and (min-width: 480px){
            .post-container,.page-container,.cat-container,.home-container {margin-left:0px !important;}
            #main-nav #main-menu ul li{background-color:#C58488;}
			#main-nav #main-menu li:hover{background-color:#C58488;}
			<?php if($secondarycolor) { ?>
			#main-nav #main-menu ul li, #main-nav #main-menu li:hover{background-color: <?php echo $secondarycolor; ?>;}
			<?php } ?>
			<?php if($tertiarycolor) { ?>
			#main-nav  #main-menu li a:hover, #main-nav  #main-menu li ul li a:hover { background-color: <?php echo $tertiarycolor; ?> !important; }
			#main-menu{border-bottom-color: <?php echo $tertiarycolor; ?>;}
			<?php } ?>
			}
			@media only screen and (max-width: 479px){
			.post-container,.page-container,.cat-container,.home-container {margin-left:0px !important;}
			#main-nav #main-menu li:hover{background-color:#C58488;}
			<?php if($secondarycolor) { ?>			
			#main-nav #main-menu ul li, #main-nav #main-menu li:hover{background-color: <?php echo $secondarycolor; ?>;}
			<?php } ?>
			<?php if($tertiarycolor) { ?>
			#main-nav  #main-menu li a:hover, #main-nav  #main-menu li ul li a:hover {background-color: <?php echo $tertiarycolor; ?> !important;}
			#main-menu{ border-bottom-color: <?php echo $tertiarycolor; ?>;}
			<?php } ?>
			}
			
	  </style>
      <!--/Customizer CSS-->
	<?php } ?>
	<?php } 
	
	   function footer_output() {
	   ?><?php echo get_theme_mod('textarea_setting2'); 
	   }

add_action( 'customize_register', 'register', 11 );
add_action( 'wp_head', 'header_output', 11 );
add_action( 'wp_footer', 'footer_output', 11 );

//add_action( 'customize_register' , array( 'mansar_Customize' , 'register' ) );
//add_action( 'wp_head' , array( 'mansar_Customize' , 'header_output' ) );